import React, { Suspense } from "react";
import ReactDOM from "react-dom";
import "./index.css";
import "./utils/i18n";
import CssBaseline from "@material-ui/core/CssBaseline";
import App from "./components/App";
import { TuitioProvider } from "@flare/tuitio-client-react";
import ApplicationStateProvider from "./providers/ApplicationStateProvider";
import ToastProvider from "./providers/ToastProvider";

ReactDOM.render(
  <TuitioProvider tuitioUrl={process.env.REACT_APP_TUITIO_URL}>
    <ApplicationStateProvider>
      <CssBaseline />
      <Suspense fallback={<div>Loading...</div>}>
        <ToastProvider>
          <App />
        </ToastProvider>
      </Suspense>
    </ApplicationStateProvider>
  </TuitioProvider>,
  document.getElementById("root")
);
